Bug 61074 - Teach Qt about window.internals
Summary: Teach Qt about window.internals
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robert Hogan
URL:
Keywords:
Depends on: 60313
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 10:07 PDT by WebKit Review Bot
Modified: 2011-06-09 07:07 PDT (History)
9 users (show)

See Also:


Attachments
Patch (10.23 KB, patch)
2011-06-08 12:17 PDT, Robert Hogan
akling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Review Bot 2011-05-18 10:07:19 PDT
Teach Qt about window.internals
Requested by dglazkov on #webkit.
Comment 1 Robert Hogan 2011-06-08 12:17:43 PDT
Created attachment 96458 [details]
Patch
Comment 2 Robert Hogan 2011-06-08 12:21:28 PDT
Maybe I'm missing a trick here, but I can't see a way of making WebCoreTestSupport work as a separate library in Qt. This is principally because JSContextRef and co. are not available at the API level.
Comment 3 Dimitri Glazkov (Google) 2011-06-08 12:43:45 PDT
(In reply to comment #2)
> Maybe I'm missing a trick here, but I can't see a way of making WebCoreTestSupport work as a separate library in Qt. This is principally because JSContextRef and co. are not available at the API level.

Ah interesting. I didn't realize this.

Love the code though! Can Qt folks look over and r+?
Comment 4 Andreas Kling 2011-06-08 12:48:49 PDT
Comment on attachment 96458 [details]
Patch

Approve patches (Like a boss!)
Comment 5 Dominic Cooney 2011-06-09 07:07:54 PDT
Committed r88446.